Subject: Re: bug#48335: Emacs is broken

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 21 May 2021 22:48:06 -0400

Hi,

Xinglu Chen <[email-masked]> writes:

> On Thu, May 20 2021, Maxim Cournoyer wrote:
>
>> Hi,
>>
>> Checking with a `guix build emacs` built from master:
>>
>> --8<---------------cut here---------------start------------->8---
>> $ ldd /gnu/store/lnwgc4ww47vkq2wv2ay3rdm0ppnmgyfy-emacs-27.2/bin/.emacs-27.2-real | grep libm17n
>>         libm17n-core.so.0 =>
>> /gnu/store/pdwv15zmghndkqy5473v1hxgibmvzvlz-m17n-lib-1.8.0/lib/libm17n-core.so.0
>> (0x00007faa39623000)
>>         libm17n-flt.so.0 =>
>> /gnu/store/pdwv15zmghndkqy5473v1hxgibmvzvlz-m17n-lib-1.8.0/lib/libm17n-flt.so.0
>> (0x00007faa39617000)
>> --8<---------------cut here---------------end--------------->8---
>>
>> So it seems at least on current master things are good?
>>
>> If you cannot reproduce this issue on current master, I suggest we close
>> it.
>
> Unfortunately the problem still exists for me (commit
> 652a03888e1609bd1a687326760436867fe2abb7)

Oh!  That's strange.

> ~/src/guix $ guix environment --ad-hoc emacs -- emacs --version
> The following derivation will be built:
>    /gnu/store/js53a7lydr66bk3wpwkaj1j8j43mirrm-profile.drv
>
> building CA certificate bundle...
> listing Emacs sub-directories...
> building fonts directory...
> generating GLib schema cache...
> creating GTK+ icon theme cache...
> building cache files for GTK+ input methods...
> building directory of Info manuals...
> building database for manual pages...
> building XDG desktop file cache...
> building XDG MIME database...
> building profile with 1 package...
> /gnu/store/gbzd8hc6360vaxmk2xh5bzkx7dkkwl8q-profile/bin/emacs: error while loading shared libraries: libm17n-core.so.0: cannot open shared object file: No such file or directory
>
> Since other people aren’t able to reproduce this, I am OK with closing
> this bug.

I tried that exact commit:

$ guix time-machine --commit=652a03888e1609bd1a687326760436867fe2abb7 -- environment --ad-hoc emacs -- emacs --version
GNU Emacs 27.2
Copyright (C) 2021 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

I cannot reproduce it here.

Do you use channels?  If so, could you

$ mv ~/.config/guix/channels.scm{,.bak}
$ guix pull
$ guix environment --ad-hoc emacs -- emacs --version

Thank you,

Maxim